Issue API key
curl --request POST \
--url https://api.quiva.ai/accounts/api-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key_name": "<string>"
}
'import requests
url = "https://api.quiva.ai/accounts/api-key"
payload = { "key_name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key_name: '<string>'})
};
fetch('https://api.quiva.ai/accounts/api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"key": "<string>",
"name": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"expires_on": "2023-11-07T05:31:56Z",
"creds": "<string>"
}
}{
"error": "<string>"
}API Keys
Issue API key
Issues a new API key for the specified user
- This function nables users to generate programmatic access credentials for quiva.ai API as well as credentials for CLI access. This feature allows developers to integrate the platform’s capabilities into external applications, automation scripts, or CI/CD pipelines without requiring interactive login sessions.
POST
/
accounts
/
api-key
Issue API key
⌘I